import '@/types/Store/Setting';
import { Message } from 'view-design';

/** @type {VuexStoreModule} */
export const utilsStore = {
  actions: {
    PushMessageError(_, msg) {
      Message.error(msg);
    },
    PushMessageInfo(_, msg) {
      Message.info(msg);
    },
    PushMessageSuccess(_, msg) {
      Message.success(msg);
    },
    PushMessageWarning(_, msg) {
      Message.warning(msg);
    },
  },
};
